Bug 36802 - [iOS] UITableViewCellAccessory Partially Hidden When Using RecycleElement
Summary: [iOS] UITableViewCellAccessory Partially Hidden When Using RecycleElement
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.3.3
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-12-10 00:33 UTC by Jimmy [MSFT]
Modified: 2016-12-08 00:27 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
repro project (177.58 KB, application/zip)
2015-12-10 00:33 UTC, Jimmy [MSFT]
Details
expected result (113.29 KB, image/png)
2015-12-10 00:33 UTC, Jimmy [MSFT]
Details
actual result Screenshot (105.93 KB, image/png)
2015-12-10 00:34 UTC, Jimmy [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jimmy [MSFT] 2015-12-10 00:33:12 UTC
Created attachment 14212 [details]
repro project

### Overview
On iOS, when a ListView is using the new RecycleElement caching strategy along with GroupShortNameBinding, the UITableViewCellAccessory added to the cell is partially hidden underneath the jump list.


### Steps to Reproduce
1. Run the attached iOS project


### Expected Results 
See attached “expected result” image. This issue does not occur when using RetainElement.


### Actual Result 
The accessory item is rendered underneath the jump list. See “actual result” image.
Comment 1 Jimmy [MSFT] 2015-12-10 00:33:48 UTC
Created attachment 14213 [details]
expected result
Comment 2 Jimmy [MSFT] 2015-12-10 00:34:13 UTC
Created attachment 14214 [details]
actual result Screenshot
Comment 3 Mihail 2015-12-10 07:16:07 UTC
I am also able to reproduce the bug.
Comment 4 Jimmy [MSFT] 2016-10-25 21:40:40 UTC
Still reproducible with Forms 2.3.3-pre3
Comment 5 Samantha Houts [MSFT] 2016-12-08 00:27:06 UTC
Should be fixed in 2.3.4-pre1. Thank you!